summaryrefslogtreecommitdiffstats
path: root/audio/setBfree
diff options
context:
space:
mode:
Diffstat (limited to 'audio/setBfree')
-rw-r--r--audio/setBfree/README15
-rw-r--r--audio/setBfree/doinst.sh3
-rw-r--r--audio/setBfree/libdir.patch19
-rw-r--r--audio/setBfree/setBfree.SlackBuild130
-rw-r--r--audio/setBfree/setBfree.desktop9
-rw-r--r--audio/setBfree/setBfree.info10
-rw-r--r--audio/setBfree/setbfree-0.8.11-gl.patch23
-rw-r--r--audio/setBfree/slack-desc19
-rw-r--r--audio/setBfree/x42-whirl.desktop9
9 files changed, 237 insertions, 0 deletions
diff --git a/audio/setBfree/README b/audio/setBfree/README
new file mode 100644
index 0000000000..c4f3f994b2
--- /dev/null
+++ b/audio/setBfree/README
@@ -0,0 +1,15 @@
+MIDI-controlled, software synthesizer designed to imitate the sound
+and properties of the electromechanical organs and sound modification
+devices that brought world-wide fame to the names and products of
+Laurens Hammond and Don Leslie.
+
+Optional dependencies are lv2,liblo and ftgl to build the
+standalone and lv2 OpenGL UI:
+For the LV2 GUI you need a LV2 host with Gtk support, like jalv.
+jalv.gtk -l ~/.config/setBfree http://gareus.org/oss/lv2/b_synth
+
+This package uses POSIX filesystem capabilities to execute with
+elevated privileges (required for realtime audio processing). This
+may be considered a security/stability risk. Please read
+http://www.slackbuilds.org/caps/ for more information. To disable
+capabilities, pass SETCAP=no to the script.
diff --git a/audio/setBfree/doinst.sh b/audio/setBfree/doinst.sh
new file mode 100644
index 0000000000..12d65ed7bd
--- /dev/null
+++ b/audio/setBfree/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q /usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/setBfree/libdir.patch b/audio/setBfree/libdir.patch
new file mode 100644
index 0000000000..a8782f3bdf
--- /dev/null
+++ b/audio/setBfree/libdir.patch
@@ -0,0 +1,19 @@
+--- common.mak.orig 2019-11-22 04:27:08.903418811 +0100
++++ common.mak 2019-11-22 04:29:32.031629463 +0100
+@@ -2,6 +2,7 @@
+
+ PREFIX ?= /usr/local
+ OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only
++LIBDIR ?= lib
+ ENABLE_CONVOLUTION ?= no
+ INSTALL_EXTRA_LV2 ?= no
+ FONTFILE?=/usr/share/fonts/truetype/ttf-bitstream-vera/VeraBd.ttf
+@@ -20,7 +21,7 @@
+
+ bindir = $(PREFIX)/bin
+ sharedir = $(PREFIX)/share/setBfree
+-lv2dir = $(PREFIX)/lib/lv2
++lv2dir = $(PREFIX)/$(LIBDIR)/lv2
+
+ CFLAGS ?= $(OPTIMIZATIONS) -Wall
+ ifeq ($(XWIN),)
diff --git a/audio/setBfree/setBfree.SlackBuild b/audio/setBfree/setBfree.SlackBuild
new file mode 100644
index 0000000000..722242abc9
--- /dev/null
+++ b/audio/setBfree/setBfree.SlackBuild
@@ -0,0 +1,130 @@
+#!/bin/bash
+
+# Slackware build script for setBfree
+
+# Copyright 2020-2023 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=setBfree
+VERSION=${VERSION:-0.8.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p0 < $CWD/libdir.patch
+patch -p1 < $CWD/setbfree-0.8.11-gl.patch
+
+export FONTFILE=/usr/share/fonts/TTF/DejaVuSans-Bold.ttf
+make clean
+make PREFIX=/usr LIBDIR=lib$LIBDIRSUFFIX OPTIMIZATIONS="$SLKCFLAGS"
+make PREFIX=/usr LIBDIR=lib$LIBDIRSUFFIX DESTDIR=$PKG install
+
+mkdir -p $PKG/usr/share/pixmaps
+cp doc/*.png \
+ $PKG/usr/share/pixmaps/
+mkdir -p $PKG/usr/share/applications
+cp $CWD/{$PRGNAM,x42-whirl}.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/man/man1
+cp doc/*.1 $PKG/usr/man/man1/
+# remove jboverdrive man page, https://github.com/pantherb/setBfree/issues/46
+rm $PKG/usr/man/man1/jboverdrive.1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+if [ "${SETCAP:-yes}" = "yes" ]; then
+ for bin in $(find . -type f -exec file '{}' + | grep " ELF .* executable, " | cut -f 1 -d : ); do
+ [ -n "$(readelf -d $bin | grep libjack.so)" ] && \
+ jackbin+=" $bin" && chown root:audio $PKG/$bin && chmod 0750 $PKG/$file
+ done
+ if [ -n "$jackbin" ]; then
+ cat <<- EOF >> $PKG/install/doinst.sh
+ if [ -x /sbin/setcap ]; then
+ for file in$jackbin; do
+ /sbin/setcap cap_ipc_lock,cap_sys_nice=ep \$file
+ done
+ fi
+ EOF
+ fi
+fi
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/setBfree/setBfree.desktop b/audio/setBfree/setBfree.desktop
new file mode 100644
index 0000000000..6c2f62f05a
--- /dev/null
+++ b/audio/setBfree/setBfree.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Exec=setBfreeUI
+Name=setBfree
+Comment=A DSP Tonewheel Organ emulator
+Icon=setBfree
+Terminal=false
+StartupNotify=false
+Categories=AudioVideo;Audio;
diff --git a/audio/setBfree/setBfree.info b/audio/setBfree/setBfree.info
new file mode 100644
index 0000000000..b45356d1de
--- /dev/null
+++ b/audio/setBfree/setBfree.info
@@ -0,0 +1,10 @@
+PRGNAM="setBfree"
+VERSION="0.8.12"
+HOMEPAGE="https://setbfree.org/"
+DOWNLOAD="https://github.com/pantherb/setBfree/archive/v0.8.12/setBfree-0.8.12.tar.gz"
+MD5SUM="b346dc9500cbbba7c3d03dd04a91e00b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jack"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"
diff --git a/audio/setBfree/setbfree-0.8.11-gl.patch b/audio/setBfree/setbfree-0.8.11-gl.patch
new file mode 100644
index 0000000000..e8a3fd8c8c
--- /dev/null
+++ b/audio/setBfree/setbfree-0.8.11-gl.patch
@@ -0,0 +1,23 @@
+From 8b92940fe6780155fbafb46782f6720fd6822af1 Mon Sep 17 00:00:00 2001
+From: Christopher Arndt <chris@chrisarndt.de>
+Date: Sat, 19 Feb 2022 16:24:20 +0100
+Subject: [PATCH] fix: add -lGL to UILIBS for non-static unix LV2 builds
+
+Signed-off-by: Christopher Arndt <chris@chrisarndt.de>
+---
+ common.mak | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/common.mak b/common.mak
+index 1c12f32..3ae8c86 100644
+--- a/common.mak
++++ b/common.mak
+@@ -167,7 +167,7 @@ ifeq ($(LV2AVAIL)$(HAVE_UI)$(HAVE_IDLE), yesyesyes)
+ UILIBS+=`pkg-config --variable=libdir ftgl`/libftgl.a `pkg-config --variable=libdir ftgl`/libfreetype.a
+ UILIBS+=`pkg-config --libs zlib`
+ else
+- UILIBS+=`pkg-config --libs glu ftgl`
++ UILIBS+=`pkg-config --libs glu gl ftgl`
+ endif
+ UICFLAGS+=-DFONTFILE=\"$(FONTFILE)\"
+ endif
diff --git a/audio/setBfree/slack-desc b/audio/setBfree/slack-desc
new file mode 100644
index 0000000000..7c4baebeb0
--- /dev/null
+++ b/audio/setBfree/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+setBfree: setBfree (A DSP Tonewheel Organ emulator)
+setBfree:
+setBfree: MIDI-controlled, software synthesizer designed to imitate the sound
+setBfree: and properties of the electromechanical organs and sound modification
+setBfree: devices that brought world-wide fame to the names and products of
+setBfree: Laurens Hammond and Don Leslie.
+setBfree:
+setBfree: https://setbfree.org/
+setBfree:
+setBfree:
+setBfree:
diff --git a/audio/setBfree/x42-whirl.desktop b/audio/setBfree/x42-whirl.desktop
new file mode 100644
index 0000000000..5ce4505666
--- /dev/null
+++ b/audio/setBfree/x42-whirl.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Exec=x42-whirl
+Name=x42-whirl
+Comment=Leslie speaker emulation as JACK client
+Icon=x42-whirl
+Terminal=false
+StartupNotify=false
+Categories=AudioVideo;Audio;